/*
 * 文 件 名:  Price
 * 版    权:  华设设计集团股份有限公司
 * 描    述:  <描述>
 * 修 改 人:  lvwenbin
 * 修改时间:  2025/3/11
 * 跟踪单号:  <跟踪单号>
 * 修改单号:  <修改单号>
 * 修改内容:  <修改内容>
 */
package com.ruoyi.ems.model;

/**
 * 价格实体
 * <功能详细描述>
 *
 * @author lvwenbin
 * @version [版本号, 2025/3/11]
 * @see [相关类/方法]
 * @since [产品/模块版本]
 */
public class Price {
    /**
     * 价格编码（adm_gw_elecprice_config.cfg_code）
     */
    private String priceCode;

    /**
     * 策略编码（adm_elecprice_strategy.strategy_code）
     */
    private String strategyCode;

    /**
     * 价格策略类型
     */
    private int meterType;

    /**
     * 价格值
     */
    private Double priceValue;

    public Price() {
    }

    public Price(String priceCode, String strategyCode, int meterType, Double priceValue) {
        this.priceCode = priceCode;
        this.strategyCode = strategyCode;
        this.meterType = meterType;
        this.priceValue = priceValue;
    }

    public String getPriceCode() {
        return priceCode;
    }

    public void setPriceCode(String priceCode) {
        this.priceCode = priceCode;
    }

    public String getStrategyCode() {
        return strategyCode;
    }

    public void setStrategyCode(String strategyCode) {
        this.strategyCode = strategyCode;
    }

    public int getMeterType() {
        return meterType;
    }

    public void setMeterType(int meterType) {
        this.meterType = meterType;
    }

    public Double getPriceValue() {
        return priceValue;
    }

    public void setPriceValue(Double priceValue) {
        this.priceValue = priceValue;
    }
}